Bug 1030656 - Upgrading storage node does not update rhq-storage-auth.conf
Upgrading storage node does not update rhq-storage-auth.conf
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer, Storage Node (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: RHQ 4.10
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 16:20 EST by John Sanda
Modified: 2014-04-23 08:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:29:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2013-11-14 16:20:14 EST
Description of problem:
When you run rhqctl upgrade on a storage node, the internode auth file, rhq-storage-auth.conf, is not updated properly. It is in effect reset back to its original state, removing any nodes that may have been added. This will prevent the node from communicating with other nodes.


Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. Install RHQ
2. Deploy a second storage node
3. Perform an upgrade

Actual results:
The nodes' rhq-storage-auth.conf file will be reverted such that they only container their own address/hostname.

Expected results:
rhq-storage-auth.conf should include both nodes after the upgrade.

Additional info:
Comment 1 John Sanda 2013-11-21 17:13:23 EST
Fix has been committed to master.

commit hash: b8142b356
Comment 2 Heiko W. Rupp 2014-04-23 08:29:36 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.